import java.awt.Cursor;
import java.awt.event.*;

import javax.swing.JMenuItem;
import javax.swing.JPanel;

public class ConfigurationMenuListener implements ActionListener {
   private MyWorld  world;
   private JPanel panel;
   public ConfigurationMenuListener (MyWorld  w, JPanel p){
      world = w;
      panel = p;
   }
   public void actionPerformed(ActionEvent e) {
      JMenuItem menuItem = (JMenuItem)(e.getSource());
     String text = menuItem.getText();
      if (text.equals("Ball") && !world.isRunning())
      world.addElement(new GBall(10, new Vector2D(200f,200f), new Vector2D(), 15f));
    	//mediante isRunning, aseguramos que solo cuando este detenida la simulacion
      	//se pueda manipular los elementos
      if (text.equals("Fixed Hook") && !world.isRunning()) 
         world.addElement(new GFixedHook(new Vector2D(200f,100f), 30f));
      if (text.equals("Spring") && !world.isRunning()) 
         world.addElement(new GSpring (200f, 10f));
      if (text.equals("Elastic") && !world.isRunning()) 
          world.addElement(new GElastic (200f, 10f));
      if (text.equals("Delete") && !world.isRunning())
    	  panel.setCursor(Cursor.getPredefinedCursor(Cursor.CROSSHAIR_CURSOR));
      if (text.equals("Edit Elements") && !world.isRunning())
    	  panel.setCursor(Cursor.getPredefinedCursor(Cursor.HAND_CURSOR));
      
        
      }
 
  

      
}