//import java.awt.Graphics2D;

public abstract class PhysicsElement {
   private final int myId; 
   
   protected PhysicsElement( int id){
      myId = id;
   }
   protected int getId() {
      return myId;
   }
   public void setInitialState(Vector2D g, float viscosity){
   }
   public void computeNextState(double delta_t, Vector2D gravity, float viscosity){
   }
   public void updateState() {
   }
   public abstract String getDescription();
   public abstract String getState();
}